connect username/password
set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.setup.log

-- record the current number and total time
-- for all log file parallel write waits
-- before the commit processes begin

drop table waits_before;

create table waits_before as
select sysdate current_time,TOTAL_WAITS,TIME_WAITED_MICRO
from V$SYSTEM_EVENT
where event='log file parallel write';

-- create table that the commit processes
-- will update with the wait results after
-- they complete.  Prime it with the current
-- wait numbers, knowing that these will be
-- overwritten by the commit processes

drop table waits_after;

create table waits_after as
select * from waits_before;

-- record log file syncs also

drop table waits_before2;

create table waits_before2 as
select sysdate current_time,TOTAL_WAITS,TIME_WAITED_MICRO
from V$SYSTEM_EVENT
where event='log file sync';

drop table waits_after2;

create table waits_after2 as
select * from waits_before2;

spool off
